> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Bill Of Materials

> This endpoint deletes an existing bill of materials.

### Body

<ParamField body="id" type="string">
  The id of the bill of materials to delete.
</ParamField>

### Response

<ResponseField name="id" type="string">
  The ID provided in the data tab may be used to identify the return
</ResponseField>

<ResponseField name="object" type="string">
  The object type
</ResponseField>

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request DELETE 'https://api.stateset.com/v1/bill_of_materials' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
  		"id": "bom_1NXWPnCo6bFb1KQto6C8OWvE"
  }'
  ```

  ```graphQL GraphQL theme={null}
  mutation deleteBillOfMaterials ($id: String!) {
      delete_bill_of_materials(where: {id: {_eq: $id}}) {
            affected_rows
          }
        }
  ```

  ```javascript Node.js theme={null}

  const billOfMaterials = await stateset.billofmaterials.del({
    'bom_1NXWPnCo6bFb1KQto6C8OWvE'
  });

  ```

  ```python Python theme={null}

  billOfMaterials = stateset.billofmaterials.del({
    'bom_1NXWPnCo6bFb1KQto6C8OWvE'
  })

  ```

  ```ruby Ruby theme={null}

  billOfMaterials = Stateset::BillOfMaterials.delete({
    'bom_1NXWPnCo6bFb1KQto6C8OWvE'
  })

  ```

  ```php PHP theme={null}

  $billOfMaterials = $stateset->billOfMaterials->delete([
    'bom_1NXWPnCo6bFb1KQto6C8OWvE'
  ]);

  ```

  ```go Go theme={null}

  billOfMaterials, err := stateset.BillOfMaterials.Delete(
    "bom_1NXWPnCo6bFb1KQto6C8OWvE"
  )

  ```

  ```java Java theme={null}

  BillOfMaterials billOfMaterials = stateset.billOfMaterials.delete(
    "bom_1NXWPnCo6bFb1KQto6C8OWvE"
  );

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "bom_1NXWPnCo6bFb1KQto6C8OWvE",
    "object": "billofmaterials",
    "deleted": true
  }

  ```
</ResponseExample>
